/*
 *@description:查询
 *@author: hudw
 *@date: 2022-03-14 11:45:54
*/
<template>
  <p-grid-form
    ref="gird"
       layout="inline"
    @submit="submit"
    :items="mx_queryFromItems"
  />

</template>
<script>
import { setQueryFormItmes } from '../js/formConfig';

export default {
  data() {
    return {
      mx_queryFromItems: setQueryFormItmes(this)

    };
  },
  mounted() {

  },
  methods: {
    getFieldsValue(){
     return this.$refs.gird.form.getFieldsValue()
    },
    submit(e, form) {
      e.preventDefault();
      this.$emit('submit',form.getFieldsValue())
    }
  },
};
</script>
